<!-- SCRIPTS -->
<style>
    .padded-container {
        padding: 16px;
    }
    .error {
      font-size: 14px;
      font-style: normal;
      line-height: 19px;
      font-stretch: normal;
      letter-spacing: normal;
      color: #e71316;
  }
</style>

<div class="padded-container">
    <div id="errors" class="error"></div>
    <button class="primary-button" title="Request New Link" onclick="handleNewLinkClick()" >
        {{ t "Request New Link" }}
    </button>
    <button class="secondary-button" title="Sign In" onclick="handleSignInClick()">
        {{ t "Sign In"}}
    </button>
</div>

<script>
    function handleNewLinkClick() {
        if (window.parent) window.parent.postMessage({ type: "idp-reset-error-new-link" }, "*")
        window.location.href = "{{ base_path }}/forgot_password?client_id={{ client_id }}";
    }
    function handleSignInClick() {
        if (window.parent) window.parent.postMessage({ type: "idp-reset-error-sign-in" }, "*")
        window.location.href = "{{ base_path }}/login?client_id={{ client_id }}";
    }

    if (window.parent && window.location.pathname.includes('reset_password')) {
        window.parent.postMessage({ type: "idp-reset-password-initialized" }, "*")
    }

  window.addEventListener("load", function () {
    if (typeof ERRORS !== "undefined") {
      const errorDiv = document.querySelector("#errors");
      const span = document.createElement("span");
      let message = "";

      ERRORS.forEach((error, index) => {
        if (error === "auth_invalid_reset_code" || error === "auth_missing_reset_code") {
          message = "Your password reset link is invalid.";
        } else if (error === "auth_expired_reset_code") {
          message = "Your password reset link has expired.";
        } else if (error === "auth_used_reset_code") {
          message = "Your password reset link was already used.";
        } else {
          message = "We're sorry, something went wrong. Please request a new password reset link.";
        }
      })
      
      span.innerText = message;

      return errorDiv.appendChild(span);
    }
  })
</script>